geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Forrest Xia (JIRA)" <...@geronimo.apache.org>
Subject [jira] Updated: (DAYTRADER-82) DayTrader 2.1.3 : Jboss AS or EAP 5.1.0 warnings for EJB3 (Persistence provider caller does not implement the EJB3 spec correctly. )
Date Sun, 05 Dec 2010 13:18:11 GMT

     [ https://issues.apache.org/jira/browse/DAYTRADER-82?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Forrest Xia updated DAYTRADER-82:
---------------------------------

    Fix Version/s:     (was: 2.1.7)
                   WishList

> DayTrader 2.1.3 : Jboss AS or EAP 5.1.0 warnings for EJB3 (Persistence provider caller
does not implement the EJB3 spec correctly. )
> ------------------------------------------------------------------------------------------------------------------------------------
>
>                 Key: DAYTRADER-82
>                 URL: https://issues.apache.org/jira/browse/DAYTRADER-82
>             Project: DayTrader
>          Issue Type: Bug
>      Security Level: public(Regular issues) 
>    Affects Versions: 2.1.3
>         Environment: Jboss AS and EAP 5.1.0 (AS -> Application server / EAP ->
Enterprise Application Platform)
> Sun JDK 1.6_021 (with Jboss AS) or 1.6_022 (with Jboss EAP)
> Linux RHEL5
> Mysql JDBC driver 5.1.13 (mysql-connector-java-5.1.13-bin.jar)
> Mysql Server 5.0.20
> Profile default for Jboss serveur (./run.sh -c default). 
>            Reporter: Yannick LE NY
>            Assignee: Forrest Xia
>            Priority: Minor
>             Fix For: WishList
>
>
> Hello,
> I have downloaded the latest revision for Day Trader 2.1.3
> in the svn here
> http://svn.apache.org/viewvc/geronimo/daytrader/branches/old_2.1.3/?sortby=date
> and compiled it with :
>     * JDK 1.6_021
>     * Mandriva Linux 2010.1
>     * Maven 2.2.1
> by following the instructions in the file
> http://svn.apache.org/viewvc/geronimo/daytrader/branches/2.1.3/README.jboss5?revision=907211&view=markup&sortby=file
> But when I launch Jboss AS 5.1.0, I have the following warnings in the logs :
> 13:30:02,583 INFO  [Version] Hibernate EntityManager 3.4.0.GA
> 13:30:02,638 INFO  [Ejb3Configuration] Processing PersistenceUnitInfo [
>         name: daytrader
>         ...]
> 13:30:02,675 WARN  [Ejb3Configuration] Persistence provider caller does not implement
the EJB3 spec correctly. PersistenceUnitInfo.getNewTempClassLoader() is null.
> 13:30:02,853 INFO  [AnnotationBinder] Binding entity from annotated class: org.apache.geronimo.samples.daytrader.OrderDataBean
> ....
> 13:30:07,487 INFO  [NamingHelper] Creating subcontext: persistence.unit:unitName=daytrader-ear-2.1.3.ear
> 13:30:07,488 INFO  [SessionFactoryObjectFactory] Bound factory to JNDI name: persistence.unit:unitName=daytrader-ear-2.1.3.ear/#daytrader
> 13:30:07,489 WARN  [SessionFactoryObjectFactory] InitialContext did not implement EventContext
> 13:30:07,490 INFO  [NamingHelper] JNDI InitialContext properties:{java.naming.factory.initial=org.jnp.interfaces.NamingContextFactory,
java.naming.factory.url.pkgs=org.jboss.naming:org.jnp.interfaces}
> But when I launch Jboss EAP 5.1.0, I have the following error in the logs :
> 15:49:40,832 WARN  [WebServiceRefHandler] No injection target for service-ref: service/Trade
> 15:49:41,172 INFO  [NativeServiceRefBinderJAXRPC] setupServiceRef [jndi=wsappclient/env/service/Trade]
> ....
> 15:49:44,487 INFO  [JBossASKernel] Added bean(jboss.j2ee:ear=daytrader-ear-2.1.3.ear,jar=wsappclient.jar,name=wsappclient,service=EJB3)
to KernelDeployment of: wsappclient.jar
> 15:49:45,618 WARN  [EJBRemoteHandler] EJBTHREE-1828: EJBInjectionContainer jboss.j2ee:ear=daytrader-ear-2.1.3.ear,jar=dt-ejb.jar,name=DTBroker3MDB,service=EJB3
is unconfigured, using legacy resolve
> 15:49:45,623 WARN  [EJBRemoteHandler] EJBTHREE-1828: EJBInjectionContainer jboss.j2ee:ear=daytrader-ear-2.1.3.ear,jar=dt-ejb.jar,name=DTBroker3MDB,service=EJB3
is unconfigured, using legacy resolve
> 15:49:45,624 WARN  [EJBRemoteHandler] EJBTHREE-1828: EJBInjectionContainer jboss.j2ee:ear=daytrader-ear-2.1.3.ear,jar=dt-ejb.jar,name=DTBroker3MDB,service=EJB3
is unconfigured, using legacy resolve
> 15:49:45,624 WARN  [EJBRemoteHandler] EJBTHREE-1828: EJBInjectionContainer jboss.j2ee:ear=daytrader-ear-2.1.3.ear,jar=dt-ejb.jar,name=DTBroker3MDB,service=EJB3
is unconfigured, using legacy resolve
> 15:49:45,627 INFO  [JBossASKernel] Created KernelDeployment for: dt-ejb.jar
> ....
> 18:06:14,986 INFO  [Version] Hibernate Commons Annotations 3.1.0.GA
> 18:06:15,011 INFO  [Version] Hibernate EntityManager [WORKING]
> 18:06:15,191 INFO  [Ejb3Configuration] Processing PersistenceUnitInfo [
>         name: daytrader
>         ...]
> 18:06:15,260 WARN  [Ejb3Configuration] Persistence provider caller does not implement
the EJB3 spec correctly. PersistenceUnitInfo.getNewTempClassLoader() is
> null.
> 18:06:16,084 INFO  [AnnotationBinder] Binding entity from annotated class: org.apache.geronimo.samples.daytrader.OrderDataBean
> Any idea to fix these warnings ?
> Jboss Ticket  EJBTHREE-1828 is available here :
> Deprecated usage of runtime components during dependency resolve
> https://jira.jboss.org/browse/EJBTHREE-1828

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message